/* https://uiverse.io/cssbuttons-io/stupid-impala-51 */
.btn_delete {
  width: 150px;
  height: 50px;
  cursor: pointer;
  display: flex;
  align-items: center;
  background: red;
  border: none;
  border-radius: 5px;
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.15);
  background: #e62222;
}

.btn_delete,
.btn_delete span {
  transition: 200ms;
}

.btn_delete .text {
  transform: translateX(35px);
  color: white;
  font-weight: bold;
}

.btn_delete .icon {
  position: absolute;
  border-left: 1px solid #c41b1b;
  transform: translateX(110px);
  height: 40px;
  width: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.btn_delete svg {
  width: 15px;
  fill: #eee;
}

.btn_delete:hover {
  background: #ff3636;
}

.btn_delete:hover .text {
  color: transparent;
}

.btn_delete:hover .icon {
  width: 150px;
  border-left: none;
  transform: translateX(0);
}

.btn_delete:focus {
  outline: none;
}

.btn_delete:active .icon svg {
  transform: scale(0.8);
}